当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 15 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 做了11。04小白鼠,,求助
帖子发表于 : 2011-02-27 16:45 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
事情本来是不错的,
虽然说升级麻烦了一点。。至少我上去了,,
虽然之前下载alternate还有刻盘最后都发现不行,,
七搞八搞在源列表里面加上了natty,,然后就开始了,,
本来没什么问题的,,
装了驱动的deb包,
进入unity,,然后修改unity,
这个时候输入法可以正常,
主题的图标正常,,
我选择了震颤窗口勉强也正常。。
因为ubuntu纯色背景有问题,,重影,
我本来想去掉装饰窗口的选项,,
因为以前重影是因为那个选项,,
这个时候死机了,,
再往后为记不清楚了,,
为了把选项复原,我就继续搞。。
后面有一次开机整个主题就变了,,
图标变了不说,,滚动条也变了,
很难看的,,
重启进入旧版panel的界面图标也是现在的难看的那种,
我觉得是panel的问题,,
就到~主目录去删配置,,
不行就照了网上删掉全部界面的设置,,
删掉了.gonfd .gdonf
连输入法的配置也包括了,
只好重新配置输入法,,
但是却不能用了,,
连图标也没有。。
包括网络连接的图标也不见了,
我想那个主题的东西不是升级版本的问题吧?
一开始也有的,,
哪位知道可以怎么办吗?主要是输入法。。。
在可以刻盘安装之前起哦也不想再会1010了,
到时再升级一遍还是会累死的,,
截图。。那个没有效果的滚动条设置,
另外触摸板也设置不了,
启动界面也难看不能改。。

ps:后来试了很多遍,,要那个pkill -9 ibus重启然后才能用输入法...


附件:
Screenshot-2.png
Screenshot-2.png [ 545.23 KiB | 被浏览 824 次 ]

Screenshot.png
Screenshot.png [ 295.5 KiB | 被浏览 1405 次 ]



最后由 jiyinyiyong 编辑于 2011-03-04 23:40,总共编辑了 1 次
页首
 用户资料  
 
2 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-02 13:20 
头像

注册: 2009-10-08 11:15
帖子: 8428
地址: 大城市铁岭
送出感谢: 0 次
接收感谢: 9
在没钱买3D加速显卡之前我不会装11.04


_________________
我们是命运的妓女,它把我们都嫖了

N卡驱动:http://www.nvidia.cn/Download/index.aspx?lang=cn
极品飞车:http://www.geforce.cn/optimize/optimal-game-settings/need-for-speed-shift-geforce-gts-450-ops
孤岛危机优化设置:http://www.geforce.cn/optimize/optimal-game-settings/crysis-geforce-gtx-450-ops
:cp /etc/skel/.bashrc ~/
PS1="\[\e]2;\u@\H \w\a\e[32;1m\]\T$\[\e[0m\] "
http://cdimage.ubuntu.com/
http://releases.ubuntu.com/


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-04 18:05 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
我有点怀疑是更新的时候aptitude判断软件冲突,,
然后我直接允许他自动删除的软件包太多的缘故了,,
..那么我不知到系统现在是缺了什么软件了都...
路过的各位有没有招?
使用sudo aptitude install 显示如下:

正在读取软件包列表...
正在分析软件包的依赖关系树...
正在读取状态信息...
正在读取扩展状态文件...
正在初始化软件包状态...
下列“新”软件包将被安装。
evolution-couchdb libindicate0.1-cil libindicator2 libyaml-0-2
python-yaml
下列软件包将被“删除”:
ailurus{a} docbook-xsl-doc-html{u} freepats{u} gimp{a} gir1.2-atk-1.0{a}
gir1.2-gconf-2.0{a} gir1.2-gdkpixbuf-2.0{a} gir1.2-gtk-2.0{a}
gir1.2-gtk-3.0{a} gir1.2-notify-0.7{a} gir1.2-panelapplet-3.0{a}
gir1.2-pango-1.0{a} gir1.2-soup-2.4{a} gir1.2-unity-3.0{a}
gir1.2-vte-0.0{a} ibus-pinyin-db-open-phrase{u} libass4{u} libcdaudio1{u}
libcelt0-0{u} libclutter-1.0-0{a} libdca0{u} libdirac-encoder0{u}
libdirectfb-1.2-9{u} libenca0{u} libfaad2{u} libflite1{u} libgme0{u}
libibus-dev{a} libkate1{u} liblua5.1-0-dev{a} libmimic0{u} libmms0{u}
libmodplug1{u} libmpcdec6{u} libnotify-dev{a} libofa0{u} libopenspc0{u}
librtmp0{u} libsoundtouch1c2{u} libts-0.0-0{u} libwildmidi0{u}
libxdamage-dev{a} libxfixes-dev{a} libxrender-dev{a} libzbar0{u}
nvidia-current{a} nvidia-glx-185{a} pinyin-database{u}
python-apt-common{a} python-defer{a} python-desktopcouch-application{a}
python-piston-mini-client{a} python-ubuntuone{a} tsconf{u}
ubuntu-tweak{a}
0 个软件包被升级,新安装 5 个, 55 个将被删除, 同时 2 个将不升级。
需要获取 249 kB/274 kB 的存档。 解包后将释放 242 MB。
下列软件包存在未满足的依赖关系:
computer-janitor-gtk: 依赖: gir1.2-gtk-2.0 (>= 2.23.90-0ubuntu3) 但它将不会被安装。
依赖: gir1.2-pango-1.0 但它将不会被安装。
ubuntuone-control-panel-gtk: 依赖: python-defer 但它将不会被安装。
libegl1-mesa-dev: 依赖: libxdamage-dev 但它将不会被安装。
依赖: libxfixes-dev 但它将不会被安装。
gnome-shell: 依赖: gir1.2-atk-1.0 (>= 1.32) 但它将不会被安装。
依赖: gir1.2-gdkpixbuf-2.0 但它将不会被安装。
依赖: gir1.2-gtk-3.0 但它将不会被安装。
依赖: gir1.2-pango-1.0 但它将不会被安装。
依赖: libclutter-1.0-0 (>= 1.5.15) 但它将不会被安装。
依赖: gir1.2-gconf-2.0 但它将不会被安装。
desktopcouch: 依赖: python-desktopcouch-application (= 1.0.6-0ubuntu1) 但它将不会被安装。
python-aptdaemon.gtk3widgets: 依赖: gir1.2-gtk-2.0 但它将不会被安装。 或者
gir1.2-gtk-3.0 但它将不会被安装。
依赖: gir1.2-vte-0.0 但它将不会被安装。 或者
gir1.2-vte-2.90 但它将不会被安装。
libindicator3: 破坏: libindicator2 (<= 0.3.19-0ubuntu3) 但是 0.3.18-0ubuntu1 将被安装。
libseed0: 依赖: gir1.2-gtk-2.0 (>= 0.6.3) 但它将不会被安装。
libmutter-private0: 依赖: libclutter-1.0-0 (>= 1.4.0) 但它将不会被安装。
libpango1.0-dev: 依赖: libxrender-dev 但它将不会被安装。
gnome-codec-install: 依赖: python-defer 但它将不会被安装。
python-aptdaemon: 依赖: python-defer 但它将不会被安装。
gir1.2-clutter-1.0: 依赖: gir1.2-atk-1.0 (>= 1.32.0) 但它将不会被安装。
依赖: gir1.2-pango-1.0 但它将不会被安装。
依赖: libclutter-1.0-0 (>= 1.6.0) 但它将不会被安装。
gir1.2-gkbd-3.0: 依赖: gir1.2-atk-1.0 (>= 1.32.0) 但它将不会被安装。
依赖: gir1.2-gdkpixbuf-2.0 但它将不会被安装。
依赖: gir1.2-gtk-3.0 但它将不会被安装。
依赖: gir1.2-pango-1.0 但它将不会被安装。
python-ubuntuone-control-panel: 依赖: gir1.2-soup-2.4 但它将不会被安装。
python-apt: 依赖: python-apt-common 但它将不会被安装。
libcairo2-dev: 依赖: libxrender-dev (>= 0.6) 但它将不会被安装。
gir1.2-mutter-2.91: 依赖: gir1.2-atk-1.0 但它将不会被安装。
依赖: gir1.2-gdkpixbuf-2.0 但它将不会被安装。
依赖: gir1.2-gtk-3.0 但它将不会被安装。
依赖: gir1.2-pango-1.0 但它将不会被安装。
software-center: 依赖: python-defer 但它将不会被安装。
依赖: python-piston-mini-client (>= 0.1+bzr29) 但它将不会被安装。
libxcursor-dev: 依赖: libxrender-dev 但它将不会被安装。
依赖: libxfixes-dev 但它将不会被安装。
sessioninstaller: 依赖: python-defer 但它将不会被安装。
libgtk2.0-dev: 依赖: libxfixes-dev (>= 1:3.0.0-3) 但它将不会被安装。
依赖: libxdamage-dev (>= 1:1.0.1-3) 但它将不会被安装。
libclutter-gtk-0.10-0: 依赖: libclutter-1.0-0 (>= 1.4.0) 但它将不会被安装。 或者
libclutter-eglx-es20-1.0-0 (>= 1.4.0) 这是一个虚拟软件包。 或者
libclutter-eglx-es11-1.0-0 (>= 1.4.0) 这是一个虚拟软件包。
gir1.2-appindicator-0.1: 依赖: gir1.2-atk-1.0 但它将不会被安装。
依赖: gir1.2-gdkpixbuf-2.0 但它将不会被安装。
依赖: gir1.2-gtk-2.0 但它将不会被安装。
依赖: gir1.2-pango-1.0 但它将不会被安装。
libxcomposite-dev: 依赖: libxfixes-dev 但它将不会被安装。
software-properties-gtk: 依赖: gir1.2-gtk-2.0 (>= 2.23.90-0ubuntu3) 但它将不会被安装。
language-selector-gnome: 依赖: gir1.2-gtk-2.0 (>= 2.23.90-0ubuntu3) 但它将不会被安装。
依赖: gir1.2-vte-0.0 但它将不会被安装。
libxrandr-dev: 依赖: libxrender-dev 但它将不会被安装。
gnome-applets: 依赖: gir1.2-gtk-2.0 但它将不会被安装。
依赖: gir1.2-gdkpixbuf-2.0 但它将不会被安装。
依赖: gir1.2-gconf-2.0 但它将不会被安装。
依赖: gir1.2-panelapplet-3.0 但它将不会被安装。
jockey-gtk: 依赖: gir1.2-gtk-2.0 (>= 2.23.90-0ubuntu2) 但它将不会被安装。
依赖: gir1.2-notify-0.7 但它将不会被安装。
libxft-dev: 依赖: libxrender-dev 但它将不会被安装。
apport-gtk: 依赖: gir1.2-gtk-2.0 (>= 2.23.90-0ubuntu3) 但它将不会被安装。
mutter: 依赖: libclutter-1.0-0 (>= 1.5.12) 但它将不会被安装。
下列动作将解决这些依赖关系:

删除 下列软件包:
1) apport
2) apport-gtk
3) apt-xapian-index
4) aptdaemon
5) apturl
6) apturl-common
7) banshee-extension-ubuntuonemusicstore
8) command-not-found
9) computer-janitor
10) computer-janitor-gtk
11) desktopcouch
12) eog
13) gdebi
14) gdebi-core
15) gedit
16) gir1.2-appindicator-0.1
17) gir1.2-clutter-1.0
18) gir1.2-gkbd-3.0
19) gir1.2-mutter-2.91
20) gnome-applets
21) gnome-bluetooth
22) gnome-codec-install
23) gnome-control-center
24) gnome-panel
25) gnome-shell
26) indicator-applet
27) indicator-applet-appmenu
28) indicator-applet-complete
29) indicator-applet-session
30) jockey-common
31) jockey-gtk
32) language-selector
33) language-selector-common
34) language-selector-gnome
35) libcairo2-dev
36) libclutter-gtk-0.10-0
37) libegl1-mesa-dev
38) libgtk2.0-dev
39) libmutter-private0
40) libpango1.0-dev
41) libpeas-1.0-0
42) libseed0
43) libsyncdaemon-1.0-1
44) libubuntuone-1.0-1
45) libubuntuone1.0-cil
46) libxcomposite-dev
47) libxcursor-dev
48) libxft-dev
49) libxrandr-dev
50) mutter
51) nvidia-common
52) python-apport
53) python-apt
54) python-aptdaemon
55) python-aptdaemon-gtk
56) python-aptdaemon.gtk3widgets
57) python-aptdaemon.gtkwidgets
58) python-software-properties
59) python-ubuntuone-control-panel
60) sessioninstaller
61) software-center
62) software-properties-gtk
63) totem
64) totem-mozilla
65) totem-plugins
66) ubufox
67) ubuntu-standard
68) ubuntu-system-service
69) ubuntuone-client
70) ubuntuone-client-gnome
71) ubuntuone-control-panel
72) ubuntuone-control-panel-gtk
73) unattended-upgrades
74) update-manager
75) update-manager-core
76) update-notifier
77) update-notifier-common
78) wayland
79) xul-ext-ubufox

保持 下列软件包于其当前版本:
80) evolution-couchdb [未安装的]
81) libindicator2 [未安装的]

保留下列未解决的依赖关系:
82) alacarte 推荐 gnome-panel
83) apport-symptoms 推荐 apport
84) aptitude 推荐 apt-xapian-index
85) banshee 推荐 banshee-extension-ubuntuonemusicstore (= 1.9.4-1ubuntu2)
86) checkbox 推荐 python-apport
87) checkbox 推荐 python-apt
88) firefox 推荐 ubufox
89) friendly-recovery 推荐 update-manager-core (>= 0.90.0)
90) gimp-data 推荐 gimp
91) gnome-panel 推荐 gnome-applets (>= 2.12.1-1)
92) gnome-panel-data 推荐 gnome-panel
93) indicator-me 推荐 ubuntuone-control-panel-gtk (>= 0.8.0)
94) indicator-me 推荐 indicator-applet-session (>= 0.2) | indicator-render
95) kerneloops-daemon 推荐 apport
96) libgimp2.0 推荐 gimp
97) mousetweaks 推荐 gnome-control-center
98) python-debian 推荐 python-apt
99) software-center 推荐 sessioninstaller
100) synaptic 推荐 software-properties-gtk
101) synaptic 推荐 apt-xapian-index
102) ubuntu-standard 推荐 command-not-found
103) ubuntu-standard 推荐 update-manager-core
104) ubuntuone-client 推荐 gir1.2-unity-3.0
105) ubuntuone-control-panel 推荐 ubuntuone-control-panel-gui
106) unity 推荐 ubuntuone-control-panel-gtk
107) update-manager 推荐 software-properties-gtk (>= 0.71.2)
108) update-notifier 推荐 apport-gtk
109) update-notifier 推荐 software-properties-gtk
110) update-notifier 推荐 aptdaemon
111) xserver-xorg-video-intel 推荐 apport
112) gedit-common 推荐 gedit
113) capplets-data 推荐 gnome-control-center (>= 1:2.91.90-0ubuntu1~build2)
114) firefox-4.0 推荐 ubufox


是否接受该解决方案?[Y/n/q/?] 放弃解决这些依赖关系的全部努力。
放弃。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-04 18:09 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
没看完?
是10.10升到11.04吗?


_________________
Grub2 基础教程


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-04 19:38 

注册: 2010-01-13 23:26
帖子: 3173
送出感谢: 0 次
接收感谢: 12
LZ悲剧,我很久没有跟新了,所以爱莫能助。


_________________
Here I am.
Ubuntu 桌面培训 - 全中文官方文档,含汉化截图,提供PDF


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-04 20:34 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
smallapple 写道:
没看完?
是10.10升到11.04吗?

是的,,去年升级过一次..那一次断网会死机,,所以就会10.10了.,
这次不死机..但系统管理的东西到处都是问题..


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-04 21:17 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
先确定你的源列表是 natty 的没问题,再做如下升级动作

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade
sudo apt-get -f install
sudo apt-get install ubuntu-desktop

中间不要重启,有出错先 sudo apt-get -f install 之后再继续
全部完成后再从头重复一遍,直到 ubuntu-desktop正常安装并没有报错才能重启


_________________
Grub2 基础教程


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-04 23:39 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
按楼上的办法,,,
直接看截图,,我待会编辑帖子把截图放上面..
insatll ubuntu-desktop的时候提示"破损的软件包"
这是个问题...
至于软件园源,,软件园管理器不见了,,
sources.list文件里面看不大来,,
但还是升级时候用的那个,,应该不会错的,,
我刚看到alpha3出来,,在想,,
要不要找份alpha3的"dpkg -l"看看我缺了什么软件了..?


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-05 9:04 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
贴源列表..


_________________
Grub2 基础教程


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-05 9:57 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
smallapple 写道:
贴源列表..

觉得有问题..
我到网上找了10.04的源,,lupaworld和官方源贴上去了..
更新没什么别的反映,,
然后按提示的话很多ubuntu-desktop依赖的软件版本过高,,
我现在在reinstall在gnome3*ppa里面下载的几个软件包..

ps:
后来我就干脆直接把ubuntu-desktop冲突的软件包reinstall了,,
基本上reinstall命令没反应,,
就用了手动remove再install,..
后面界面正常了,,功能都有,,
看样子都是gnome3的源把很多个软件包的版本生的太高的原因,,
搞不懂,,不是natty可以装gnome-shell的吗?
怎么用了那个源还会出乱子...
现在问题不大了,,
就是担心软件包还是会冲突以后麻烦..


最后由 jiyinyiyong 编辑于 2011-03-05 10:57,总共编辑了 1 次

页首
 用户资料  
 
11 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-05 10:55 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
11.04要用11.04的源列表,用10.04的源列表,怎么正常更新 :em06


_________________
Grub2 基础教程


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-05 11:01 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
smallapple 写道:
11.04要用11.04的源列表,用10.04的源列表,怎么正常更新 :em06

失误,,打错了,,
照网上说的每个源里面的lucid改成natty了.. :em06
反正更新完图形界面全部恢复,,
不担心源的问题了


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-05 11:12 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
11.04目前还是没加 gnome-shell,gnome3需要 gnome-shell,你如果安装gnome3估计会有不少软件包起冲突


_________________
Grub2 基础教程


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-05 11:41 
头像

注册: 2010-01-03 19:58
帖子: 631
地址: 杭州
系统: OS X, Ubuntu(server)
送出感谢: 4
接收感谢: 0 次
smallapple 写道:
11.04目前还是没加 gnome-shell,gnome3需要 gnome-shell,你如果安装gnome3估计会有不少软件包起冲突

还好unity的功能基本都可以了,,
比原先想的要灵活很多,,
不装gnome-shell也不打紧,,
看来还是编译才是王道..我还是躲远了好..
多谢楼上了,,已经变成alpha3新闻里面一样的界面了..


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 做了11。04小白鼠,,求助
帖子发表于 : 2011-03-05 12:07 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
:em11


_________________
Grub2 基础教程


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 15 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译